> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Reserve a lots

> Reserve a lots

### Path parameters

<ParamField path="id" type="string" required>
  Lot ID
</ParamField>

### Request body

`ReserveLotRequest`

<ParamField body="expires_in_seconds" type="integer,null (int64)" />

<ParamField body="quantity" type="string" required>
  Decimal quantity as a string.
</ParamField>

<ParamField body="reference_id" type="string,null" />

<ParamField body="reference_type" type="string,null">
  Defaults to `api`.
</ParamField>

### Responses

<ResponseField name="201" type="LotReservationResponse" />

<ResponseField name="400" type="ErrorBody" />

<ResponseField name="409" type="ErrorBody" />

<RequestExample>
  ```bash cURL theme={null}
  curl --request POST \
    --url 'https://api.stateset.com/api/v1/lots/{id}/reserve' \
    --header 'Authorization: Bearer YOUR_API_KEY' \
    --header 'Content-Type: application/json' \
    --data '{
    "expires_in_seconds": null,
    "quantity": "string",
    "reference_id": null,
    "reference_type": null
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json 201 theme={null}
  {
    "reservation_id": "string"
  }
  ```
</ResponseExample>
